package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ProjectManagementFactory
{
    private ProjectManagementFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IProjectManagement getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectManagement)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("B15489DB") ,com.kingdee.eas.hr.project.IProjectManagement.class);
    }
    
    public static com.kingdee.eas.hr.project.IProjectManagement getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectManagement)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("B15489DB") ,com.kingdee.eas.hr.project.IProjectManagement.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IProjectManagement getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectManagement)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("B15489DB"));
    }
    public static com.kingdee.eas.hr.project.IProjectManagement getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectManagement)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("B15489DB"));
    }
}